/* Note :- Implement OTF font using @font-face like: 
 @font-face {
    font-family: GraublauWeb;
    src: url("path/GraublauWeb.otf") format("opentype");
} */
@font-face {
    font-family: 'Cormorant';
    src: url('../../public/assets/font/Cormorant-SemiBold.ttf');
    /* src: url('../../public/assets/font/sf-pro/SFPRODISPLAYSEMIBOLDITALIC.OTF') format("opentype"); */
    font-weight: normal;
}

@font-face {
    font-family: 'Nunito';
    src: url('../../public/assets/font/Nunito-Regular.ttf');
    /* src: url('../../public/assets/font/sf-pro/SFPRODISPLAYREGULAR.OTF') format("opentype"); */
    /*  */
    font-weight: normal;
}

@font-face {
    font-family: 'Fira Sans Regular';
    src: url('../../public/assets/font/FiraSans-Regular.ttf');
    /* src: url('../../public/assets/font/sf-pro/SFPRODISPLAYREGULAR.OTF') format("opentype"); */
    font-weight: normal;
}

@font-face {
    font-family: 'Fira Sans Medium';
    src: url('../../public/assets/font/FiraSans-Medium.ttf');
    /* src: url('../../public/assets/font/sf-pro/SFPRODISPLAYMEDIUM.OTF') format("opentype"); */
    font-weight: normal;
}
@font-face {
    font-family: 'sf pro';
    src: url('../../assets/font/sf-pro/SF-Pro-Text-Regular.otf');
    font-weight: normal;
}

:root {
    --theme-color: #58595B;
    --theme-text-color: #000;
}

*,
::after,
::before {
    box-sizing: border-box;
}

.loading {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: #000000;
    opacity: 0.7;
}

.loading i.fa-spinner {
    font-size: 60px;
    color: var(--theme-color);
    vertical-align: middle;
    align-self: center;
    position: absolute;
    top: 50%;
    left: 50%;
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    color: #fff;
    background-color: var(--theme-color);
    border-color: var(--theme-color);
}

body {
    background-color: #00000024;
    font-size: 18px;
    font-weight: 400;
    font-family: 'Cormorant', 'Segoe UI', arial;
    color: #000;
}

body {
    background-color: #F1F1F1;
    font-size: 14px;
    font-weight: 400;
    font-family: 'sf pro';
    color: #000;
}

.section {
    position: relative;
    z-index: 1;
}

.login-brand {
    margin: 20px 0;
    margin-bottom: 40px;
    font-size: 24px;
    text-transform: uppercase;
    letter-spacing: 4px;
    color: #666;
    text-align: center;
}

.card.card-primary {
    border-top: 2px solid var(--theme-color);
}

.card .card-body,
.card .card-footer {
    background-color: transparent;
    padding: 20px ;
}

.card {
    box-shadow: 0 4px 8px rgb(0 0 0 / 3%);
    background-color: #fff;
    border-radius: 3px;
    border: none;
    position: relative;
    margin-bottom: 30px;
}

.card-header {
    margin: 5px 0;
    background-color: transparent;
}

.card .card-header h4 {
    align-self: center;
    font-size: 16px;
    line-height: 28px;
    padding-right: 10px;
    margin-bottom: 0;
    text-transform: capitalize;
    letter-spacing: 0.5px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
}

.card .card-body {
    padding-top: 20px;
    padding-bottom: 20px;
}

.form-group .control-label,
.form-group>label {
    margin-bottom: 3px;
}

.form-group .control-label,
.form-group>label {
    font-weight: 600;
    color: #34395e;
    font-size: 14px;
    letter-spacing: .5px;
}
.container-fluid {
    padding-left: 0 !important;
    padding-right: 0 !important;
}
.input-group-text,
select.form-control:not([size]):not([multiple]),
.form-control:not(.form-control-sm):not(.form-control-lg) {
    font-size: 14px;
    padding: 5px 10px;
    height: 35px;
}

.input-group-text,
select.form-control:not([size]):not([multiple]),
.form-control:not(.form-control-sm):not(.form-control-lg) {
    font-size: 14px;
    padding: 10px 15px;
    height: 42px;
}

.form-control,
.input-group-text,
.custom-select,
.custom-file-label {
    background-color: #ffffff;
    border-color: #dcdcdc;
}

.is-invalid {
    border-color: #dc3545 !important;
}

.form-group {
    margin-top: 18px;
    margin-bottom: 15px;
}

.text-small {
    font-size: 14px;
    line-height: 20px;
}

.btn {
    font-weight: 500;
    font-size: 14px;
    line-height: 24px;
    /* padding: 0.4rem .4rem; */
    letter-spacing: .5px;
    border-radius: 0px;
    border-radius: 4px;
}

.btn.disabled, .btn:disabled {
    opacity: 0.5;
}

.btn-primary,
.btn-primary.disabled {
    box-shadow: 0 2px 6px var(--theme-color);
    background-color: var(--theme-color);
    border-color: var(--theme-color);
    color: #F1F1F1;
}

.btn-primary:active,
.btn-primary:hover,
.btn-primary.disabled:active,
.btn-primary.disabled:hover {
    background-color: var(--theme-color);
    border-color: var(--theme-color);
}

.btn-block {
    display: block;
    width: 100%;
}

.card .card-header .btn:not(.note-btn) {
    /*border-radius: 30px;*/
}

.card .card-header .btn {
    color: #FFF;
    margin-top: 1px;
    padding: 5px 15px;
}

.btn>i {
    margin-left: 0 !important;
}

.btn-primary.focus,
.btn-primary:focus {
    box-shadow: none;
}

.nav-pills .nav-item .nav-link {
    color: #212529;
    padding-left: 15px !important;
    padding-right: 15px !important;
}

.nav-pills .nav-item .nav-link.active {
    box-shadow: 0 2px 6px var(--theme-color);
    color: #fff;
    background-color: var(--theme-color);
}

.selectgroup {
    display: -ms-inline-flexbox;
    display: inline-flex;
}

.setting-tab label {
    width: 100%;
}

.selectgroup-item {
    -ms-flex-positive: 1;
    flex-grow: 1;
    position: relative;
}

.selectgroup-input {
    opacity: 0;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
}

.selectgroup-input:focus+.selectgroup-button,
.selectgroup-input:checked+.selectgroup-button {
    background-color: var(--theme-color);
    color: #fff;
    z-index: 1;
}

.selectgroup-item:not(:last-child) .selectgroup-button {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.selectgroup-button {
    background-color: #fdfdff;
    border-color: #e4e6fc;
    border-width: 1px;
    border-style: solid;
    display: block;
    text-align: center;
    padding: 0 1rem;
    height: 35px;
    position: relative;
    cursor: pointer;
    border-radius: 3px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-size: 14px;
    min-width: 2.375rem;
    line-height: 36px;
}

@keyframes loader {
    to {
        transform: rotate(360deg);
    }
}

.btn-loading:after {
    content: '';
    -webkit-animation: loader 1.5s infinite linear;
    animation: loader 1.5s infinite linear;
    border: 2px solid #fff;
    border-radius: 50%;
    border-right-color: transparent !important;
    border-top-color: transparent !important;
    display: block;
    height: 1.4em;
    width: 1.4em;
    left: calc(50% - (1.4em / 2));
    top: calc(50% - (1.4em / 2));
    -webkit-transform-origin: center;
    transform-origin: center;
    position: absolute !important;
}

.btn-loading.btn-sm:after,
.btn-group-sm>.btn-loading.btn:after,
.dataTables_wrapper .dataTables_paginate .btn-group-sm>.btn-loading.paginate_button:after {
    height: 1em;
    width: 1em;
    left: calc(50% - (1em / 2));
    top: calc(50% - (1em / 2));
}

.btn-loading.btn-secondary:after,
.dataTables_wrapper .dataTables_paginate .btn-loading.paginate_button:after {
    border-color: #495057;
}

.btn-loading {
    color: transparent !important;
    pointer-events: none;
    position: relative;
}

textarea.form-control {
    height: 64px !important;
}

.input-group-text {
    background-color: #e9ecef;
    border-color: #ced4da;
}

.page-item.active .page-link {
    background-color: var(--theme-color);
    border-color: var(--theme-color);
}

.btn_lg {
    box-shadow: 0 2px 6px #000000 !important;
    background-color: #000000 !important;
    border-color: #000000 !important;
}



/* new styke  */




.table thead th {
    border-top: 0;
    border-bottom-width: 1px;
    font-weight: 600;
    font-size: 14px;
    color: #545353;
}

.form-control:focus {
    border-color: #0000005e;
}


.custome_width {
    width: 260px !important;
}





.card .card-header h4 {
    padding: 6px 0;
}



.card .card-header .btn {
    display: flex;
    align-items: center;
    gap: 7px;
}

#modal-image .modal-header button {
    position: relative;
}

#modal-image .modal-header button::before {
    position: absolute;
    content: "×";
    left: 0;

}

.rmbtn::-webkit-outer-spin-button,
.rmbtn::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
    -moz-appearance: textfield;
}

.badge-danger,
.badge-secondary,
.badge-success,
.badge-info {
    text-shadow: none;
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    padding: 6px 5px;
}

.badge-info {
    color: #fff;
    background-color: #17a2b8;
}

.badge-success {
    color: #fff;
    background-color: #28a745;
}

.badge-secondary {
    color: #fff;
    background-color: #6c757d;
}

.badge-danger {
    color: #fff;
    background-color: #dc3545;
}

#TblCustomer .orderstatus {
    scale: 0.8;
}


#accordion .panel-title .delete-measurement {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    padding: 1px 7px !important;
}

#accordion .panel-title .clone-measurement {
    position: absolute;
    top: 50%;
    right: 45px;
    border: none;
    transform: translateY(-50%);
    background-color: #000 !important;
    padding: 1px 7px !important;
}



#accordion .panel-title .delete-measurement:focus {
    box-shadow: none;
    outline: none;
}

#accordion .show_preview_image1 .image_preview {
    width: 120px;
    margin-bottom: 8px;
}

.measurement-data .panel-heading {
    padding: 8px 10px;
    margin: 5px 0;
    background-color: #eee !important;
    color: #000;
    position: relative;
    font-size: 14px;
}

.show_btn {
    background: #fff;
    border: none;
    font-size: 13px;
    width: 27px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 27px;
    cursor: pointer;
}

.show_btn i {
    color: #000;
}


.panel-group .panel-default>.panel-heading a::after {
    content: none !important;
}

.panel-title .show_btn {
    position: absolute;
    right: 80px;
    top: 50%;
    transform: translateY(-50%);
}

.panel-title a[aria-expanded="true"] .show_btn .fa-plus,
.panel-title a[aria-expanded="false"] .show_btn .fa-minus {
    display: none;
}

.show_btn i {
    color: #000;
}

.step-title .show_btn .fa-plus {
    display: block;
}

.step-title.active .show_btn .fa-plus {
    display: none;
}

.step-title .show_btn .fa-minus {
    display: none;
}

.step-title.active .show_btn .fa-minus {
    display: block;
}

.form_data {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease-out;
    /* opacity: 0; */

}

.form_data.active {
    max-height: 1500px;
    /* opacity: 1; */
    transition: max-height 0.4s ease-in;
}


.__image {
    position: relative;
    width: 60px;
    height: 60px;
    margin-bottom: 15px;
}

.__image .image_preview {
    width: 100%;
    height: 100%;
}



.__image .remove-image {
    position: absolute;
    right: -10px;
    bottom: -6px;
    width: 25px;
    height: 25px;
    display: flex;
    color: #fff;
    cursor: pointer;
    background: #000;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
}

.checkbox-well {
    max-height: 300px;
    overflow-y: auto;
    padding: 5px;
    margin-bottom: 20px;
    background-color: #f5f5f5;
    border: 1px solid #e3e3e3;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 5%);
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 5%);
}

.checkbox-well input {
    display: none;
}

.checkbox-well input:checked+label {
    background-color: #000;
    color: #fff;
}

.checkbox-well label {
    border: 1px solid #999;
    border-radius: 5px;
    padding: 5px 3px;
    text-align: center;
    margin: 5px 1px;
    display: inline-block;
    cursor: pointer;
    font-weight: normal;
}

.swal2-title {
    text-transform: capitalize !important;
}

.step-title {
    cursor: pointer;
}

.step-title span {
    font-size: 16px;
    font-weight: 600;
}


.highlight-input {
    background: #FFEB3B;
    color: #000;
    margin-bottom: 5px !important;
    padding: 0 4px;
    text-decoration: underline;
}


.black_outline {
    border: 1px solid #000 !important;
    margin-right: 5px;
    background: none;
    padding: 4px;
    display: inline-block;
    border-radius: 4px;

}

.danger_outlline {
    border: 1px solid #ff0000 !important;
    margin-right: 5px;
    background: none;
    color: #ff0000;
    padding: 4px;
    display: inline-block;
    border-radius: 4px;
}

.outline-success {
    margin-right: 5px;
    background: none;
    padding: 4px;
    color: #17c964;
    display: inline-block;
    border: 1px solid #17c964 !important;
    border-radius: 4px;
}


.step-title {
    background-color: #C6C5C5;
}




.dropdown-menu.table_dropdown {
    width: 160px !important;
    box-shadow: 0 0 30px rgb(0 0 0 / 3%);
}

.dropdown-menu.table_dropdown .btn {
    width: 80% !important;
    display: block;
    margin: 7px auto !important;
}
/*  */
.order_form_head.fixed-head {
    position: fixed;
    top: 0;
    left: 289px;
    z-index: 999;
    width: calc(100% - 324px);
    height: 64px;
    background-color: #fff;
    padding: 0 25px;
}
.order_form_head {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}
.order_form_head span {
    font-size: 17px;
    color: #cd9933;
    letter-spacing: 1px;
    font-weight: 600;
}


.badge {
    font-size: 12px;
    font-weight: 500;
    padding: 6px 5px;
}

#UserModal .modal-body {
    max-height: 600px;
    overflow-y: auto;
}


.bottom_img_box {
    gap: 15px;
    margin: 0;
}
.bottom_img_box .img_box {
    width: 200px;
    height: fit-content;
    margin: 0 5px;
}
.bottom_img_box .img_box .thumb_box {
    height: 100%;
}
.bottom_img_box .img_box .thumb_box label {
    display: contents;
}
.img-thumbnail {
    width: 100%;
    height: 100% !important;
    object-fit: contain;
}
/* Custom */
.nav-tabs .nav-link {
    background: #f6f8fa;
    color: #000000;
    border-radius: 0;
    border: 1px solid #e8eff9;
    padding: .75rem 1.5rem;
}

@media (max-width: 767px) {
    .nav-tabs .nav-link {
        padding: .75rem .5rem;
    }
}

.nav-tabs .nav-item:first-child .nav-link {
    border-radius: 4px 0 0 0;
}

.nav-tabs .nav-item:last-child .nav-link {
    border-radius: 0 4px 0 0;
}

.nav-tabs.nav-tabs-vertical,
.nav-tabs.nav-tabs-vertical-custom {
    border-bottom: 0;
}

.nav-tabs.nav-tabs-vertical .nav-link.active,
.nav-tabs.nav-tabs-vertical-custom .nav-link.active {
    border-bottom-color: #e8eff9;
}

.nav-tabs.nav-tabs-vertical .nav-item:first-child .nav-link,
.nav-tabs.nav-tabs-vertical-custom .nav-item:first-child .nav-link {
    border-radius: 4px 4px 0 0;
}

.nav-tabs.nav-tabs-vertical .nav-item:last-child .nav-link,
.nav-tabs.nav-tabs-vertical-custom .nav-item:last-child .nav-link {
    border-radius: 0 0 4px 4px;
}

.nav-tabs.nav-tabs-vertical-custom {
    background: var(--main-color);
    border-radius: 4px;
}

.nav-tabs.nav-tabs-vertical-custom .nav-link {
    background: transparent;
    border-color: rgba(255, 255, 255, 0.2);
    color: #650626;
    font-weight: 600;
    padding: 1.75rem;
}

.nav-tabs.nav-tabs-vertical-custom .nav-link.active {
    color: #ffffff;
    border-color: rgba(255, 255, 255, 0.2);
}

.nav-pills {
    border-bottom: 1px solid #e8eff9;
    padding-bottom: 1rem;
}

.nav-pills .nav-link {
    border: 1px solid #e8eff9;
    padding: .8rem 1.75rem;
    text-align: left;
    cursor: pointer;
}
.thumb_box {
    text-align: center;
}
@media (max-width: 767px) {
    .nav-pills .nav-link {
        padding: .5rem .5rem;
    }
}

.nav-pills .nav-item {
    margin-right: 1rem;
}

@media (max-width: 767px) {
    .nav-pills .nav-item {
        margin-right: .5rem;
    }
}

.nav-pills.nav-pills-vertical {
    border-bottom: 0;
}

.nav-pills.nav-pills-vertical .nav-item {
    margin-right: 0;
    margin-bottom: 1rem;
}

.nav-pills.nav-pills-custom {
    border-bottom: 0;
}

.nav-pills.nav-pills-custom .nav-link {
    border-radius: 20px;
    padding: .5rem 2.5rem;
    background: #fcfcfd;
    color: #000;
}

.nav-pills.nav-pills-custom .nav-link.active {
    background: #ff0000;
    color: #ffffff;
}

.nav-pills.nav-pills-custom .nav-item {
    margin-top: .875rem;
}


/* Pills color variations */

.nav-pills-primary .nav-link {
    color: var(--main-color);
}

.nav-pills-primary .nav-link.active {
    background: var(--main-color);
}

.nav-pills-secondary .nav-link {
    color: #6c757d;
}

.nav-pills-secondary .nav-link.active {
    background: #6c757d;
}

.nav-pills-success .nav-link {
    color: #000;
}

.nav-pills-success .nav-link.active {
    background: var(--main-color);
    box-shadow: 0 2px 6px var(--main-color);
}

.nav-pills-info .nav-link {
    color: #2b80ff;
}

.nav-pills-info .nav-link.active {
    background: #2b80ff;
}

.nav-pills-warning .nav-link {
    color: #ff8300;
}

.nav-pills-warning .nav-link.active {
    background: #ff8300;
}

.nav-pills-danger .nav-link {
    color: #ff0000;
}

.nav-pills-danger .nav-link.active {
    background: #ff0000;
}

.nav-pills-light .nav-link {
    color: #e6e6e6;
}

.nav-pills-light .nav-link.active {
    background: #e6e6e6;
}

.nav-pills-dark .nav-link {
    color: #000000;
}

.nav-pills-dark .nav-link.active {
    background: #000000;
}

.tab-content {
    border: 1px solid #e8eff9;
    border-top: 0;
    padding: 2rem 1rem;
    /* text-align: justify; */
}

.tab-content.tab-content-vertical {
    border-top: 1px solid #e8eff9;
}

.tab-content.tab-content-vertical-custom {
    border: 0;
    padding-top: 0;
}

.tab-content.tab-content-custom-pill {
    border: 0;
    padding-left: 0;
}
/* Custom */
.img_cover {
    border: 1px solid #dee2e6;
    cursor: pointer;
    height: 200px;
    margin-bottom: 10px;
}
.check_cover {
    border: 1px solid #dee2e6;
    cursor: pointer;
    height: 200px;
    margin-bottom: 10px;
}
.img-thumbnail {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.bottom_img_box .img_box input {
    -webkit-appearance: none;
}
.bottom_img_box .img_box .img_active {
    border: 1px solid #3745b0;
    position: relative;
}
.bottom_img_box .img_box .img_active::after {
    display: block;
    content: "";
    position: absolute;
    width: 48px;
    height: 43px;
    right: 0;
    bottom: 0;
    background: url(https://tailorcrm.a2hosted.com/steveportal/public/assets/image/right_img.png);
}
.side_nav {
    height: 550px;
    overflow: auto;
    flex-wrap: nowrap !important;
    padding-bottom: 0;
}
.side_nav_detail {
    height: 550px;
    overflow: auto;
    padding-top: 0 !important;
}
.detail_box {
    height: 550px;
}
.nav-pills .nav-link.active {
    background: #58595B;
    color: #F1F1F1 !important;
}
.side_nav_detail::-webkit-scrollbar,
.nav_tab::-webkit-scrollbar,
.side_nav::-webkit-scrollbar {
    scrollbar-width: 0.3em;
}
.nav_tab::-webkit-scrollbar-track,
.side_nav_detail::-webkit-scrollbar-track,
.side_nav::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}
.nav_tab::-webkit-scrollbar-thumb,
.side_nav_detail::-webkit-scrollbar-thumb,
.side_nav::-webkit-scrollbar-thumb {
    background-color: darkgrey;
    outline: 1px solid slategrey;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3) !important;
}
:-webkit-scrollbar-thumb {
    background-color: darkgrey !important;
    outline: 1px solid slategrey !important;
}
::-webkit-scrollbar {
    width: 8px !important;
    height: 8px !important;
}